# Change Log

5/20/26 - Added `summary_authors` field to Case.

5/20/26 - Added search parameter `relief_sought` to Cases endpoint.

5/20/26 - Added search parameter `appellate_court_litigation_status` to Cases endpoint.

5/20/26 - Added search parameter `trial_court_litigation_status` to Cases endpoint.

5/20/26 - Added search parameter `summary_author` to Cases endpoint.

5/20/26 - Added search parameter `plaintiff_description` to Cases endpoint.

5/20/26 - Added search parameters `terminating_date_from` and `terminating_date_to to` Cases endpoint.

5/20/26 - Added search parameters `settlement_judgment_date_from` and `settlement_judgment_date_to` to Cases endpoint.

5/20/26 - Added search parameters `filing_date_from` and `filing_date_to` to Cases endpoint.

5/20/26 - Added search parameter name to Cases endpoint.

5/12/26 - Deprecated `last_checked_date` (will be removed in v2.3). `last_checked_date` will continue to alias `update_as_of_date` until the deprecation period is over.

5/12/26 - Added `update_as_of_date` field to `Case` .

4/20/26 - Added `court_level_summaries` field to `Case`.

4/20/26 - Added ability to filter cases by `court_level_summary`.

2/24/26 - Added additional fields to query. `docket_year`, `docket_filing_number` and `docket_office_number` are now supported at the case query endpoint. Dockets can now also be queried without a `case_id` and instead using a `recap_ip`.

1/8/26 - V2p1 documentation API optimized to handle more traffic.

7/9/25 - V2 API released.

6/16/23 - Added descriptions for `plaintiff_type`, `defendant_type`, `facility_type`, `constitutional_clause`, `special_case_type`, `content_of_injunction` (Issues).

6/16/23 - Fixed value in Document object documentation

6/15/23 - Finished cause of action table in Case object documentation

6/5/23 - Filled in more causes of action in Case object documentation

6/2/23 - Filled in more causes of action in Case object documentation

6/2/23 - Added subsections in Case object documentation for `is_active`, `plaintiff_type`, `defendant_type`, `facility_type`, `constitutional_clause`, `special_case_type`, `content_of_injunction`.

6/1/23 - Added descriptions for document ID and status in Document Details

6/1/23 - Added "Withdrawn" as option for "Class Action Outcome"/`class_action_granted`

5/26/23 - Fixed typo and added UTF-8 encoding notes in JSON to CSV tutorial.

4/4/23 - Added documentation in "Objects" section (and removed "under construction" disclaimers).

3/30/23 - Added Translating Search URL into API Query section.

3/28/23 - Modified Python requests example to include user agent.

3/15/23 - Modified endpoint names to match clearinghouse.net search bar so it can be mapped one to one. Also updated all the error handling messages and documentation to match current state of API.

2/21/23 - Added Embedding PDF Documents section and following fields:

* summary\_updated\_date
* related\_cases
* summary\_authors
* docket state
* docket court
* docket scales\_html
* docket entries
* document party types

2/16/23 - Includes ability to filter:

* case prevailing party
* case ongoing
* case available documents
* case defendant type
* case plaintiff type
* case defendant level
* case facility type
* case constitutional clause
* case content of injunction
* case special case type
* case status
* document type
* court

1/20/23 - Fixed typo in documentation. Includes ability to filter:

* case filed pro se
* case class action sought
* case class action outcome
* case public interest lawyer

11/17/22 - Added ability to query multiple fields at once.

11/16/22 - Includes ability to filter:

* case relief nature
* case relief source
* case custom issue

11/15/22 - Includes ability to filter:

* case issues
* case settlement status
* case attorney organization

11/8/22 - Includes ability to:

* Filter case type regardless of if case type is listed as a primary or secondary case type
* Filter by case state and special collection

8/24/22 Beta Release - Includes ability to filter case by ID, type, and cause of action.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api.clearinghouse.net/change-log.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
